#!/bin/bash

input_file="request_example1.json"
output_file="request_example1_report.pdf"
error_file="request_example1_error.json"

response=$(curl --request POST --data-binary @"$input_file" http://localhost:8886/print_form_pdf_json --output "$output_file" --write-out "%{http_code}")

if [ "$response" -ne 200 ]; then
  echo "Error while executing the request. Response code: $response"
  mv "$output_file" "$error_file"
else
  echo "The request was executed successfully. Response code: $response"
fi